Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
clients
/
cimd
/
register
Register or update a CIMD client via metadata URI
curl --request POST \
  --url https://{tenantDomain}/api/v2/clients/cimd/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_client_id": "<string>"
}
'
{
  "client_id": "<string>",
  "mapped_fields": {
    "external_client_id": "<string>",
    "name": "<string>",
    "app_type": "<string>",
    "callbacks": [
      "<string>"
    ],
    "logo_uri": "<string>",
    "description": "<string>",
    "grant_types": [
      "<string>"
    ],
    "token_endpoint_auth_method": "<string>",
    "jwks_uri": "<string>",
    "client_authentication_methods": {}
  },
  "validation": {
    "valid": true,
    "violations": [
      "<string>"
    ],
    "warnings": [
      "<string>"
    ]
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

external_client_id
string<absolute-https-uri-or-empty>
requis

URL to the Client ID Metadata Document. Acts as the unique identifier for upsert operations.

Required string length: 1 - 120

Réponse

CIMD client successfully updated (idempotent).

Response after successfully registering or updating a CIMD client

client_id
string
requis

The Auth0 client_id of the created or updated client

mapped_fields
object
requis

Auth0 client fields mapped from the Client ID Metadata Document

validation
object
requis

Validation result for the Client ID Metadata Document